文档

DescribeAddon - 查询指定组件的信息

更新时间:

您可以调用DescribeAddon接口,根据指定地域、集群类型、集群子类型(profile)、集群版本、组件名称等参数查询目标组件的信息,包括组件托管与否、组件分类、支持的自定义参数Schema、兼容的操作系统架构、该版本要求的最低集群版本等。

调试

您可以在OpenAPI Explorer中直接运行该接口,免去您计算签名的困扰。运行成功后,OpenAPI Explorer可以自动生成SDK代码示例。

授权信息

下表是API对应的授权信息,可以在RAM权限策略语句的Action元素中使用,用来给RAM用户或RAM角色授予调用此API的权限。具体说明如下:

  • 操作:是指具体的权限点。
  • 访问级别:是指每个操作的访问级别,取值为写入(Write)、读取(Read)或列出(List)。
  • 资源类型:是指操作中支持授权的资源类型。具体说明如下:
    • 对于必选的资源类型,用背景高亮的方式表示。
    • 对于不支持资源级授权的操作,用全部资源表示。
  • 条件关键字:是指云产品自身定义的条件关键字。
  • 关联操作:是指成功执行操作所需要的其他权限。操作者必须同时具备关联操作的权限,操作才能成功。
操作访问级别资源类型条件关键字关联操作
cs:DescribeAddonRead
  • 全部资源
    *

请求语法

GET /addons/{addon_name}

请求参数

名称类型必填描述示例值
addon_namestring

组件名称。

coredns
region_idstring

地域。 如果传入了 cluster_id,该参数将被忽略。 region_id、cluster_type、profile、cluster_spec、cluster_version 五个参数需要同时传入。

cn-hangzhou
cluster_typestring

集群类型。 如果传入了 cluster_id,该参数将被忽略。 region_id、cluster_type、profile、cluster_spec、cluster_version 五个参数需要同时传入。

ManagedKubernetes
profilestring

集群子类型。 如果传入了 cluster_id,该参数将被忽略。 region_id、cluster_type、profile、cluster_spec、cluster_version 五个参数需要同时传入。

Default
cluster_specstring

集群规格。 如果传入了 cluster_id,该参数将被忽略。 region_id、cluster_type、profile、cluster_spec、cluster_version 五个参数需要同时传入。

ack.pro.small
cluster_versionstring

集群版本。 如果传入了 cluster_id,该参数将被忽略。 region_id、cluster_type、profile、cluster_spec、cluster_version 五个参数需要同时传入。

1.26.3-aliyun.1
cluster_idstring

集群 ID。 指定集群 ID 时,查询该集群可用的组件列表,此时其他参数将会被忽略。

c02b3e03be10643e8a644a843ffcb****
versionstring

组件版本。 不指定时,查询该组件可用的最新版本。

v1.9.3.10-7dfca203-aliyun

返回参数

名称类型描述示例值
object

Schema of Response

namestring

组件名称。

coredns
versionstring

组件版本。

v1.9.3.6-32932850-aliyun
categorystring

组件分类。

network
managedboolean

是否为托管组件。

false
install_by_defaultboolean

是否默认安装。

true
config_schemastring

组件自定义参数 schema。

{}
supported_actionsarray

组件支持的操作,可能的值:

  • Install
  • Upgrade
  • Modify
  • Uninstall
string

组件操作。

Install
architecturearray

组件支持的体系结构,可能的值:

  • amd64
  • arm64
string

体系结构。

amd64
newer_versionsobject []

组件新版本。

versionstring

版本号。

v1.9.3.10-7dfca203-aliyun
upgradableboolean

是否可升级到该版本,

true
minimum_cluster_versionstring

该版本要求的最低集群版本。

1.20.4

示例

正常返回示例

JSON格式

{
  "name": "coredns",
  "version": "v1.9.3.6-32932850-aliyun",
  "category": "network",
  "managed": false,
  "install_by_default": true,
  "config_schema": "{}",
  "supported_actions": [
    "Install"
  ],
  "architecture": [
    "amd64"
  ],
  "newer_versions": [
    {
      "version": "v1.9.3.10-7dfca203-aliyun",
      "upgradable": true,
      "minimum_cluster_version": "1.20.4"
    }
  ]
}

错误码

访问错误中心查看更多错误码。

变更历史

变更时间变更内容概要操作
暂无变更历史
  • 本页导读 (1)